---
rps_header_service_name: header.{{ rps_dns_suffix }}
rps_header_root_redirect_url: https://{{ rps_navigator_service_name }}

rps_header_allowed_origins: "{{ rps_header_allowed_default_origins + rps_header_allowed_additional_origins }}"
rps_header_allowed_additional_origins: []

rps_header_container_image: registry.gitlab.com/idcohorts/rps/rps-vue-header
rps_header_container_image_version: latest # TODO-Version-Pin

rps_header_logo_link: https://{{rps_header_service_name}}
rps_header_icon_src: "{{ rps_style_icon_src }}"
rps_header_logo_src: "{{ rps_style_logo_src }}"

rps_header_top_navbar_links:
  # - title: Persons
  #   link: https://{{ rps_people_service_name }}
  #   icon: people-group
  # - title: Groups
  #   link: https://{{ rps_groups_interface_service_name }}
  #   icon: user-group
  # - title: Forum
  #   link: https://{{ discourse_service_name }}
  #   icon: message
  - title: Files
    link: https://{{ nextcloud_service_name  | default('')}}/apps/files
    icon: folder
  - title: Calendar
    link: https://{{ nextcloud_service_name  | default('')}}/apps/calendar
    icon: calendar
  - title: Chat
    link: https://{{ matrix_element_web_service_name | default('')}}
    icon: comments
  - title: Wiki
    link: https://{{ bookstack_service_name  | default('')}}
    icon: wiki
  - title: Code
    link: https://{{ gitea_service_name  | default('')}}
    icon: code
  - title: Support
    link: 'mailto:{{ rps_admin_email }}'
    icon: circle-question
  - title: Profile
    link: https://{{ keycloak_service_name | default('')}}/realms/{{keycloak_realm}}/account
    icon: user

rps_header_login_button_style: background:#001e50

rps_header_bottom_navbar_links: []

rps_header_toggle_button_config:
  layout:
    backgroundColor: 'white'
    selectedBackgroundColor: 'lightgray'

  config:
    delay: 0.4,
    preSelected: 'unknown'
    disabled: false
    items:
    - name: Forum
      selectedStyleBackgroundColor: 'lightgray'
      triggerUrl: 'https://{{ discourse_service_name }}'
      disabled : false
      id: forum

    - name: Cloud
      selectedBackgroundColor: 'lightgray'
      triggerUrl: 'https://{{ nextcloud_service_name }}/apps/files'
      disabled: false
      id: cloud

    - name: Chat
      selectedBackgroundColor: 'lightgray'
      triggerUrl: 'https://{{ matrix_element_web_service_name }}'
      disabled: false
      id: chat
    
    - name: Kanban
      selectedBackgroundColor: 'lightgray'
      triggerUrl: 'https://{{ nextcloud_service_name }}/apps/deck'
      disabled: false
      id: kanban

    rooms: []
  

rps_header_admin_contact_link: mailto:{{rps_admin_email}}

rps_header_js_url: https://{{rps_header_service_name}}/header.js
rps_header_stylesheet_url: https://{{rps_header_service_name}}/header.css
rps_header_userinfo_url: https://{{rps_header_service_name}}/oauth2/userinfo
rps_header_sign_in_url: https://{{rps_header_service_name}}/oauth2/start
rps_header_sign_out_url: https://{{rps_header_service_name}}/oauth2/sign_out?rd={{rps_header_sign_out_keycloak_redirect_url|urlencode}}
rps_header_sign_out_keycloak_redirect_url: https://{{keycloak_service_name}}/realms/{{keycloak_realm}}/protocol/openid-connect/logout #?redirect_uri={{rps_header_sign_out_redirect_url|urlencode}}
#rps_header_sign_out_redirect_url: https://{{rps_header_service_name}}
rps_header_dynamic_config_url: https://{{rps_header_service_name}}/config

rps_header_webserver_env: prod
